> For the complete documentation index, see [llms.txt](https://manual.personr.co/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://manual.personr.co/api-documentation/entities/uploading-documents-to-an-entity/supported-documents-and-types.md).

# Supported Documents and Types

Below are list of the most popular document types (`docSubType`) available to use with the [Uploading documents to an entity](/api-documentation/entities/uploading-documents-to-an-entity.md) endpoint.

If you don't see the document you wish to verify, reach out to your account manager for assistance.

Supported file extensions include `.jpg`, `.jpeg`, `.png`, and `.pdf`

#### Corporate Documents

| Value        | Type of document                        |
| ------------ | --------------------------------------- |
| `docSubType` | Certificate of Incorporation            |
| `docSubType` | Articles and memorandums                |
| `docSubType` | Shareholder registry                    |
| `docSubType` | Director registry                       |
| `docSubType` | Excerpt from a state corporate registry |
| `docSubType` | Certificate of incumbency               |
| `docSubType` | Proof of address                        |
| `docSubType` | Trust agreement                         |
| `docSubType` | Statement of information                |
| `docSubType` | Certificate of good standing            |
| `docSubType` | Other                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://manual.personr.co/api-documentation/entities/uploading-documents-to-an-entity/supported-documents-and-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
